
import system from './index' // 系统首页

import systemSet from './systemSet/index' // 系统设置
import userManager from './systemSet/userManager/index' // 用户管理
import addUser from './systemSet/userManager/add' // 添加用户
import editUser from './systemSet/userManager/edit' // 编辑用户
import roleManager from './systemSet/roleManager/index' // 角色管理
import editRole from './systemSet/roleManager/add' // 编辑角色

import caseManager from './caseManager/index' // 案场管理
import caseInfo from './caseManager/caseInfo/index' // 案场信息
import addCase from './caseManager/caseInfo/addCase/index' // 新增案场
import editCase from './caseManager/caseInfo/editCase/index' // 新增案场
import deviceManager from './caseManager/deviceManager/index' // 体检设备
import editDevice from './caseManager/deviceManager/add' // 添加体检设备
import pplConcerned from './caseManager/caseInfo/pplConcerned/index' // 相关人员
import editPPLConcerned from './caseManager/caseInfo/pplConcerned/editPPLConcerned/index' // 编辑相关人员
import keyManager from './caseManager/keyManager/index' // 钥匙管理
import addKey from './caseManager/keyManager/add' // 新增钥匙
import caseAreaManager from './caseManager/caseAreaManager/index' // 案场区域管理
import addCaseArea from './caseManager/caseAreaManager/add' // 新增案场区域
import editCaseArea from './caseManager/caseAreaManager/edit' // 编辑案场区域
import caseTableManager from './caseManager/caseTableManager/index' // 案场桌位管理
import addCaseTable from './caseManager/caseTableManager/add' // 新增案场桌位
import editCaseTable from './caseManager/caseTableManager/edit' // 编辑案场桌位
import tagManager from './caseManager/tagManager/index' // 标签管理
import addTag from './caseManager/tagManager/add' // 添加标签
import editTag from './caseManager/tagManager/edit' // 编辑标签

import goodsManager from './goodsManager/index' // 商品管理
import goodsTypeManager from './goodsManager/goodsTypeManager/index' // 商品类型管理
import addGoodsType from './goodsManager/goodsTypeManager/add' // 新增商品类型
import editGoodsType from './goodsManager/goodsTypeManager/edit' // 编辑商品类型
import goodsSpecManager from './goodsManager/goodsSpecManager/index' // 商品规格管理
import addGoodsSpec from './goodsManager/goodsSpecManager/add' // 新增商品规格
import editGoodsSpec from './goodsManager/goodsSpecManager/edit' // 编辑商品规格管理
import goodsList from './goodsManager/goodManager/index' // 商品管理
import editGoods from './goodsManager/goodManager/edit' // 商品编辑

import cmsManager from './cmsManager/index' // cms管理
import bannerManager from './cmsManager/bannerManager/index' // 轮播图管理
import addBanner from './cmsManager/bannerManager/add' // 添加轮播图
import editBanner from './cmsManager/bannerManager/edit' // 编辑轮播图
import indexCase from './cmsManager/majorProjects/index' // 售楼处项目专题
import addIndexCase from './cmsManager/majorProjects/add' // 新增售楼处项目专题
import editIndexCase from './cmsManager/majorProjects/edit' // 编辑售楼处项目专题
import indexMsg from './cmsManager/indexMsg/index' // 首页消息
import addIndexMsg from './cmsManager/indexMsg/add' // 新增首页消息
import editIndexMsg from './cmsManager/indexMsg/edit' // 新增首页消息
import newsManager from './cmsManager/newsManager/index' // 资讯管理
import addNews from './cmsManager/newsManager/add' // 资讯管理
import editNews from './cmsManager/newsManager/edit' // 资讯管理

import channelManager from './channelManager/index' // 渠道管理
import channelList from './channelManager/channelList/index' // 渠道列表
import addChannel from './channelManager/channelList/add' // 新增渠道
import editChannel from './channelManager/channelList/edit' // 编辑渠道

import courseManager from './courseManager/index' // 课程管理
import fiveA from './courseManager/fiveA/index' // 全龄生活5A
import addFiveA from './courseManager/fiveA/add' // 全龄生活5A添加
import editFiveA from './courseManager/fiveA/edit' // 全龄生活5A编辑
import courseList from './courseManager/courseList/index' // 课程列表
import addCourse from './courseManager/courseList/add' // 新增课程
import courseTag from './courseManager/courseTag/index' // 课程标签
import scheduleManager from './courseManager/scheduleManager/index' // 排课管理
import editSchedule from './courseManager/scheduleManager/edit' // 新增、编辑排课

import dataStatistics from './dataStatistics/index' // 数据统计
import frontEndUserList from './dataStatistics/frontEndUserList/index' // 课程管理

export default {
  router: [
    {
      path: '/system',
      name: 'system',
      component: system,
      children: [{ // 系统设置
        path: 'systemSet',
        name: 'systemSet',
        component: systemSet,
        children: [{ // 用户管理
          path: 'userManager',
          name: 'userManager',
          component: userManager,
          children: [{ // 添加用户
            path: 'addUser',
            name: 'addUser',
            component: addUser,
            children: []
          }, { // 编辑用户
            path: 'editUser',
            name: 'editUser',
            component: editUser,
            children: []
          }]
        }, { // 角色管理
          path: 'roleManager',
          name: 'roleManager',
          component: roleManager,
          children: [{ // 编辑角色
            path: 'editRole',
            name: 'editRole',
            component: editRole,
            children: []
          }]
        }],
      }, { // 案场管理
        path: 'caseManager',
        name: 'caseManager',
        component: caseManager,
        children: [{ // 案场信息
          path: 'caseInfo',
          name: 'caseInfo',
          component: caseInfo,
          children: [{ // 新增案场
            path: 'addCase',
            name: 'addCase',
            component: addCase,
            children: []
          }, { // 编辑案场
            path: 'editCase',
            name: 'editCase',
            component: editCase,
            children: []
          }, { // 相关人员
            path: 'pplConcerned',
            name: 'pplConcerned',
            component: pplConcerned,
            children: [{ // 编辑相关人员
              path: 'editPPLConcerned',
              name: 'editPPLConcerned',
              component: editPPLConcerned,
              children: []
            }]
          }]
        }, { // 体检设备
          path: 'deviceManager',
          name: 'deviceManager',
          component: deviceManager,
          children: [{ // 添加体检设备
            path: 'editDevice',
            name: 'editDevice',
            component: editDevice,
            children: []
          }]
        }, { // 钥匙管理
          path: 'keyManager',
          name: 'keyManager',
          component: keyManager,
          children: [{ // 新增钥匙
            path: 'addKey',
            name: 'addKey',
            component: addKey,
            children: []
          }]
        }, { // 案场区域管理
          path: 'caseAreaManager',
          name: 'caseAreaManager',
          component: caseAreaManager,
          children: [{ // 新增案场区域
            path: 'addCaseArea',
            name: 'addCaseArea',
            component: addCaseArea,
            children: []
          }, { // 编辑案场区域
            path: 'editCaseArea',
            name: 'editCaseArea',
            component: editCaseArea,
            children: []
          }]
        }, { // 案场桌位管理
          path: 'caseTableManager',
          name: 'caseTableManager',
          component: caseTableManager,
          children: [{ // 新增案场桌位
            path: 'addCaseTable',
            name: 'addCaseTable',
            component: addCaseTable,
            children: []
          }, { // 编辑案场桌位
            path: 'editCaseTable',
            name: 'editCaseTable',
            component: editCaseTable,
            children: []
          }]
        }, { // 标签管理
          path: 'tagManager',
          name: 'tagManager',
          component: tagManager,
          children: [{ // 添加标签
            path: 'addTag',
            name: 'addTag',
            component: addTag,
            children: []
          }, { // 编辑标签
            path: 'editTag',
            name: 'editTag',
            component: editTag,
            children: []
          }]
        }],
      }, { // 商品管理
        path: 'goodsManager',
        name: 'goodsManager',
        component: goodsManager,
        children: [{ // 商品类型管理
          path: 'goodsTypeManager',
          name: 'goodsTypeManager',
          component: goodsTypeManager,
          children: [{ // 新增商品类型
            path: 'addGoodsType',
            name: 'addGoodsType',
            component: addGoodsType,
            children: []
          }, { // 编辑商品类型
            path: 'editGoodsType',
            name: 'editGoodsType',
            component: editGoodsType,
            children: []
          }]
        }, { // 商品规格管理
          path: 'goodsSpecManager',
          name: 'goodsSpecManager',
          component: goodsSpecManager,
          children: [{ // 新增商品规格
            path: 'addGoodsSpec',
            name: 'addGoodsSpec',
            component: addGoodsSpec,
            children: []
          }, { // 编辑商品规格
            path: 'editGoodsSpec',
            name: 'editGoodsSpec',
            component: editGoodsSpec,
            children: []
          }]
        }, { // 商品管理
          path: 'goodsInfo',
          name: 'goodsInfo',
          component: goodsList,
          children: [{ // 编辑商品
            path: 'editGoods',
            name: 'editGoods',
            component: editGoods,
            children: []
          }]
        }],
      }, { // cms管理
        path: 'cmsManager',
        name: 'cmsManager',
        component: cmsManager,
        children: [{ // 轮播图管理
          path: 'bannerManager',
          name: 'bannerManager',
          component: bannerManager,
          children: [{ // 新增轮播图
            path: 'addBanner',
            name: 'addBanner',
            component: addBanner,
            children: []
          }, { // 编辑轮播图
            path: 'editBanner',
            name: 'editBanner',
            component: editBanner,
            children: []
          }]
        }, { // 售楼处项目专题
          path: 'indexCase',
          name: 'indexCase',
          component: indexCase,
          children: [{ // 新增售楼处项目专题
            path: 'addIndexCase',
            name: 'addIndexCase',
            component: addIndexCase,
            children: []
          }, { // 编辑售楼处项目专题
            path: 'editIndexCase',
            name: 'editIndexCase',
            component: editIndexCase,
            children: []
          }]
        }, { // 首页消息
          path: 'indexMsg',
          name: 'indexMsg',
          component: indexMsg,
          children: [{ // 新增首页消息
            path: 'addIndexMsg',
            name: 'addIndexMsg',
            component: addIndexMsg,
            children: []
          }, { // 编辑首页消息
            path: 'editIndexMsg',
            name: 'editIndexMsg',
            component: editIndexMsg,
            children: []
          }]
        }, { // 资讯管理
          path: 'newsManager',
          name: 'newsManager',
          component: newsManager,
          children: [{ // 新增资讯
            path: 'addNews',
            name: 'addNews',
            component: addNews,
            children: []
          }, { // 编辑资讯
            path: 'editNews',
            name: 'editNews',
            component: editNews,
            children: []
          }]
        }],
      }, { // 渠道管理
        path: 'channelManager',
        name: 'channelManager',
        component: channelManager,
        children: [{ // 渠道列表
          path: 'channelList',
          name: 'channelList',
          component: channelList,
          children: [{ // 新增渠道
            path: 'addChannel',
            name: 'addChannel',
            component: addChannel,
            children: []
          }, { // 编辑渠道
            path: 'editChannel',
            name: 'editChannel',
            component: editChannel,
            children: []
          }]
        }],
      }, { // 课程管理
        path: 'courseManager',
        name: 'courseManager',
        component: courseManager,
        children: [{ // 全龄生活5A
          path: 'fiveA',
          name: 'fiveA',
          component: fiveA,
          children: [{ // 全龄生活5A添加
            path: 'addFiveA',
            name: 'addFiveA',
            component: addFiveA,
            children: []
          }, { // 全龄生活5A编辑
            path: 'editFiveA',
            name: 'editFiveA',
            component: editFiveA,
            children: []
          }]
        }, { // 课程列表
          path: 'courseList',
          name: 'courseList',
          component: courseList,
          children: [{ // 新增课程
            path: 'addCourse',
            name: 'addCourse',
            component: addCourse,
            children: []
          }]
        }, { // 排课管理
          path: 'scheduleManager',
          name: 'scheduleManager',
          component: scheduleManager,
          children: [{ // 新增、编辑排课
            path: 'editSchedule',
            name: 'editSchedule',
            component: editSchedule,
            children: []
          }]
        }, { // 课程标签
          path: 'courseTag',
          name: 'courseTag',
          component: courseTag,
          children: []
        }],
      }, { // 数据统计
        path: 'dataStatistics',
        name: 'dataStatistics',
        component: dataStatistics,
        children: [{ // 前台用户列表
          path: 'frontEndUserList',
          name: 'frontEndUserList',
          component: frontEndUserList,
          children: []
        }]
      }]
    },
  ],
}
